This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 990721 - UPDATING PACKAGE OPENJDK TO JAVA-1.7.0-OPENJDK-1.7.0.25-2.3.10.10.FC19.X86_64 BREAKS ALL THE ALTERNATIVES IN /ETC/ALTERNATIVES
UPDATING PACKAGE OPENJDK TO JAVA-1.7.0-OPENJDK-1.7.0.25-2.3.10.10.FC19.X86_64...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: java-1.7.0-openjdk (Show other bugs)
19
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 16:43 EDT by Rubén Lledó
Modified: 2013-08-01 09:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:32:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Alternatives (234.22 KB, image/png)
2013-07-31 16:43 EDT, Rubén Lledó
no flags Details
System log (166.29 KB, image/png)
2013-07-31 16:44 EDT, Rubén Lledó
no flags Details

  None (edit)
Description Rubén Lledó 2013-07-31 16:43:55 EDT
Created attachment 781356 [details]
Alternatives

Description of problem:
ALL ALTERNATIVES IN /ETC/ALTERNATIVES ARE BROKEN. NO APPLICATION USING JVM WORKS.

Version-Release number of selected component (if applicable):
java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64

How reproducible:
Simply typing in terminal "sudo yum upgrade"

Actual results:
ALL ALTERNATIVES IN /ETC/ALTERNATIVES ARE BROKEN. NO APPLICATION USING JVM WORKS.

Expected results:
package java-1.7.0-openjdk updated.

Additional info:
I actually don't know if this is a bug. Yesterday, 2013-07-30, all applications using JVM worked seamless. But today, 2013-07-31, after a rutinary check for system upgrades, I did "sudo yum upgrade", which upgraded openjdk, among other packages. Next, I ran azureus and to my surprise it didn't work. Reinstallation doesn't solve the problem. Screeshots tells the rest of the story.
Comment 1 Rubén Lledó 2013-07-31 16:44:31 EDT
Created attachment 781357 [details]
System log
Comment 2 Deepak Bhole 2013-07-31 16:47:06 EDT
Can you please paste the output of 'alternatives --display java'?
Comment 3 Rubén Lledó 2013-07-31 17:07:43 EDT
(In reply to Deepak Bhole from comment #2)
> Can you please paste the output of 'alternatives --display java'?

java - el estado es automático. [translation: automatic state]
el enlace apunta actualmente a /usr/lib/jvm/jre-1.7.0-openjdk.x86_64/bin/java [translation: link currently points to ...]
/usr/lib/jvm/jre-1.7.0-openjdk.x86_64/bin/java - prioridad 170025
 esclavo keytool: /usr/lib/jvm/jre-1.7.0-openjdk.x86_64/bin/keytool [esclavo means "slave"]
 esclavo orbd: /usr/lib/jvm/jre-1.7.0-openjdk.x86_64/bin/orbd
 esclavo pack200: /usr/lib/jvm/jre-1.7.0-openjdk.x86_64/bin/pack200
 esclavo rmid: /usr/lib/jvm/jre-1.7.0-openjdk.x86_64/bin/rmid
 esclavo rmiregistry: /usr/lib/jvm/jre-1.7.0-openjdk.x86_64/bin/rmiregistry
 esclavo servertool: /usr/lib/jvm/jre-1.7.0-openjdk.x86_64/bin/servertool
 esclavo tnameserv: /usr/lib/jvm/jre-1.7.0-openjdk.x86_64/bin/tnameserv
 esclavo unpack200: /usr/lib/jvm/jre-1.7.0-openjdk.x86_64/bin/unpack200
 esclavo jre_exports: /usr/lib/jvm-exports/jre-1.7.0-openjdk.x86_64
 esclavo jre: /usr/lib/jvm/jre-1.7.0-openjdk.x86_64
 esclavo java.1.gz: /usr/share/man/man1/java-java-1.7.0-openjdk.1.gz
 esclavo keytool.1.gz: /usr/share/man/man1/keytool-java-1.7.0-openjdk.1.gz
 esclavo orbd.1.gz: /usr/share/man/man1/orbd-java-1.7.0-openjdk.1.gz
 esclavo pack200.1.gz: /usr/share/man/man1/pack200-java-1.7.0-openjdk.1.gz
 esclavo rmid.1.gz: /usr/share/man/man1/rmid-java-1.7.0-openjdk.1.gz
 esclavo rmiregistry.1.gz: /usr/share/man/man1/rmiregistry-java-1.7.0-openjdk.1.gz
 esclavo servertool.1.gz: /usr/share/man/man1/servertool-java-1.7.0-openjdk.1.gz
 esclavo tnameserv.1.gz: /usr/share/man/man1/tnameserv-java-1.7.0-openjdk.1.gz
 esclavo unpack200.1.gz: /usr/share/man/man1/unpack200-java-1.7.0-openjdk.1.gz
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64/jre/bin/java - prioridad 170025
 esclavo keytool: /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64/jre/bin/keytool
 esclavo orbd: /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64/jre/bin/orbd
 esclavo pack200: /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64/jre/bin/pack200
 esclavo rmid: /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64/jre/bin/rmid
 esclavo rmiregistry: /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64/jre/bin/rmiregistry
 esclavo servertool: /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64/jre/bin/servertool
 esclavo tnameserv: /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64/jre/bin/tnameserv
 esclavo unpack200: /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64/jre/bin/unpack200
 esclavo jre_exports: /usr/lib/jvm-exports/java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64/jre
 esclavo jre: /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64/jre
 esclavo java.1.gz: /usr/share/man/man1/java-java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64.1.gz
 esclavo keytool.1.gz: /usr/share/man/man1/keytool-java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64.1.gz
 esclavo orbd.1.gz: /usr/share/man/man1/orbd-java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64.1.gz
 esclavo pack200.1.gz: /usr/share/man/man1/pack200-java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64.1.gz
 esclavo rmid.1.gz: /usr/share/man/man1/rmid-java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64.1.gz
 esclavo rmiregistry.1.gz: /usr/share/man/man1/rmiregistry-java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64.1.gz
 esclavo servertool.1.gz: /usr/share/man/man1/servertool-java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64.1.gz
 esclavo tnameserv.1.gz: /usr/share/man/man1/tnameserv-java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64.1.gz
 esclavo unpack200.1.gz: /usr/share/man/man1/unpack200-java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64.1.gz
La 'mejor' versión actual es /usr/lib/jvm/jre-1.7.0-openjdk.x86_64/bin/java. [translation: best current version is ...]

Needless to say is that "/usr/lib/jvm/jre-1.7.0-openjdk.x86_64/bin/java" doesn't exists.
Comment 4 Deepak Bhole 2013-07-31 17:10:11 EDT
Can you try updating to http://koji.fedoraproject.org/koji/buildinfo?buildID=438484? It fixes a range of alternatives issues.
Comment 5 Rubén Lledó 2013-07-31 17:32:51 EDT
Solved! Thank you very much!
Comment 6 Deepak Bhole 2013-08-01 09:32:15 EDT
No problem!

Note You need to log in before you can comment on or make changes to this bug.